Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class CollectionFactory.HashSetFactory<T>

    java.lang.Object
      edu.stanford.nlp.util.CollectionFactory<T>
          edu.stanford.nlp.util.CollectionFactory.HashSetFactory<T>

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionFactory<T>

    public static class CollectionFactory.HashSetFactory<T>

extends CollectionFactory<T>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class edu.stanford.nlp.util.CollectionFactory
`CollectionFactory.ArrayListFactory<T>, CollectionFactory.HashSetFactory<T>, CollectionFactory.LinkedListFactory<T>`

Field Summary

Fields inherited from class edu.stanford.nlp.util.CollectionFactory
`ARRAY_LIST_FACTORY, HASH_SET_FACTORY, LINKED_LIST_FACTORY`

Constructor Summary
`CollectionFactory.HashSetFactory()`

Method Summary
`Collection<T>` | `newCollection()`
`Collection<T>` | `newEmptyCollection()`

Methods inherited from class edu.stanford.nlp.util.CollectionFactory
`arrayListFactory, hashSetFactory, linkedListFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionFactory.HashSetFactory

    public CollectionFactory.HashSetFactory()

Method Detail

### newCollection

    public Collection<T> newCollection()

  Specified by:
    `newCollection` in class `CollectionFactory<T>`

### newEmptyCollection

    public Collection<T> newEmptyCollection()

  Specified by:
    `newEmptyCollection` in class `CollectionFactory<T>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group